Subject: [Sip] Re: Comments draft-ietf-sipping-transc-franework-02

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 11 Jul 2005 16:23:05 +0300

Hi,

if you are interested in such model, I suggest you write a concrete 
proposal in an I-D explaining how the direct signalling between A and B 
would relate to the session. Effectively, you would have two endpoints 
in a conference using T as the conference bridge with an additional 
direct signalling relationship between the endpoints.

The general question you would need to address in such an I-D would be 
how to correlate several SIP dialogs (each of which may have an 
associated media session) so that all its associated media sessions are 
treated as a single media session at the endpoints.

Thanks,

Gonzalo

Rayees Khan wrote:
> Hi,
> 
> 
> What I see the main advantage in this model is that it
> would allow all the involved parties, including
> trancoding server, to control the session and make
> others aware of the changes. It does have the
> limitation that the parties should support the
> mentioned extension of SIP.
> 
> 
> regards
> Rayees
> 
> 
> --- Gonzalo Camarillo <[email-masked]>
> wrote:
> 
> 
>>Hi,
>>
>>inline:
>>
>>
>>>One of the things that would improve the draft
>>
>>would
>>
>>>be to include the message 
>>>format of the messages that would be exchanged in
>>
>>the
>>
>>>call flow.
>>
>>The details are given in the two documents
>>describing the actual models. 
>>The framework only provides a rough description of
>>both models.
>>
>>
>>>In section 3.1, there is a link ([10]) to
>>>the document that describes it all but for 3.2 I
>>
>>could
>>
>>>not find such link.
>>
>>Yes, I will add such a reference.
>>
>>
>>>What I have understood from the two section is
>>>o section 3.1 - after initial dialog is
>>
>>established by
>>
>>>A with B and T, it 
>>>  would manage the exposure of transport address
>>
>>of B
>>
>>>and T to both
>>>o section 3.2 - A establishes dialog with T, which
>>>acts as a B2B UA. However, 
>>>  it would additionally act as a MiddleBox
>>>Communication server (RFC 3304) 
>>>  and establishes dialog with B.
>>>
>>>The alternate model could be a hybrid one. The
>>
>>figure
>>
>>>below depicts the 
>>>signaling relationship between the parties. 
>>>
>>>A establishes a signaling dialog with B, and comes
>>
>>to
>>
>>>know about the capabilites
>>>of B. It realizes the need for transcoding so
>>>establishes dialog with T, 
>>>queries it for resources. If response is positive
>>
>>from
>>
>>>T it uses REFER method 
>>>mechanism to inform B about signaling contacts of
>>
>>T. B
>>
>>>initiates session with C 
>>>joining the dialog as described in RFC 3911. 
>>>
>>>          +-------+
>>>          |       |**
>>>          |   T   |  **
>>>          |       |\   **
>>>          +-------+ \\   **
>>>            ^   *     \\   **
>>>            |   *       \\   **
>>>            |   *         SIP  **
>>>           SIP  *           \\   **
>>>            |   *             \\   **
>>>            |   *               \\   **
>>>            v   *                 \    **
>>>          +-------+               +-------+
>>>          |       |               |       |
>>>          |   A   | < -- SIP  --> |   B   |
>>>          |       |               |       |
>>>          +-------+               +-------+
>>>
>>>Does it make sense?
>>
>>What would be the advantages of this model?
>>
>>Note that this model would require B to understand a
>>set of extensions 
>>(e.g., REFER, Replaces) while the existing models
>>work with vanilla SIP 
>>user agents on the side that does not invoke the
>>transcoder.
>>
>>Thanks,
>>
>>Gonzalo
>>
> 
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam protection around 
> http://mail.yahoo.com 

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Rayees Khan <[email-masked]>
Date: Sun, 10 Jul 2005 09:40:57 -0700 (PDT)

Hi,

regards
Rayees